Last Comment Bug 765254 - Sync on Android is not translated at all in Suomi (fi)
: Sync on Android is not translated at all in Suomi (fi)
Status: VERIFIED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: fi / Finnish (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: ---
Assigned To: Ville Pohjanheimo (inactive)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 08:42 PDT by Cristian Nicolae (:xti)
Modified: 2012-06-22 11:55 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
verified
fixed
+


Attachments
screenshot 1 (76.69 KB, image/png)
2012-06-15 08:42 PDT, Cristian Nicolae (:xti)
no flags Details
screenshot 2 (69.56 KB, image/png)
2012-06-15 08:43 PDT, Cristian Nicolae (:xti)
no flags Details

Description Cristian Nicolae (:xti) 2012-06-15 08:42:53 PDT
Created attachment 633544 [details]
screenshot 1

Firefox 14.0b7 (2012-06-15)
Device: Galaxy Nexus
OS: Android 4.0.2

Steps to reproduce:
1. Switch OS language to Suomi (fi)
2. Open Fennec
3. Tap on Sync shortcut on about:home
4. Tap on the link below the J-Pake code

Expected result:
Everything is translated in Suomi (fi).

Actual result:
Everything is still in English (see attached screenshots).
Comment 1 Cristian Nicolae (:xti) 2012-06-15 08:43:24 PDT
Created attachment 633545 [details]
screenshot 2
Comment 2 Allison Naaktgeboren :ally 2012-06-15 12:07:20 PDT
Sync: have asked Chenxia to investigate for a code issue for this & 765232.
Comment 3 Axel Hecht [pto-Aug-30][:Pike] 2012-06-15 12:28:23 PDT
This matches the code in the fi repo, http://hg.mozilla.org/releases/l10n/mozilla-beta/fi/file/default/mobile/android/base/sync_strings.dtd
Comment 4 Ville Pohjanheimo (inactive) 2012-06-17 12:12:47 PDT
Ok. The last I looked we still had this "Don't localize these. They're here until they have a better place to live" comment in the file, but it's been removed some time during previous aurora cycle.

Fennec people: what's your reco? Should I file another bug for translating that file in beta, attach a patch here or will you likely not accept patches to this?
Comment 5 Axel Hecht [pto-Aug-30][:Pike] 2012-06-17 14:53:36 PDT
Just land and sign off. I'll do a technical review when going through that sign-off.
Comment 6 Aaron Train [:aaronmt] 2012-06-21 18:41:41 PDT
Verified Fixed via 14.0 Beta 8 - Candidate #1, Build #2 (buildID=20120621141442)

--
Samsung Galaxy Nexus (Android 4.0.4)
Samsung Nexus S (Android 4.0.3)
HTC Nexus One (Android 2.3.4)

Note You need to log in before you can comment on or make changes to this bug.